cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/wallet' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--data-raw '{"network_ids":["1","43114"],"address":"0xd8da6bf26964af9d7eed9e03e53415d37aa96045","display_name":"Vitalik"}' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet"
payload = {
"network_ids": ["1", "43114"],
"address": "0x94C87A7b26980AE7AAA361c5C7e03E632ab36e6C",
"display_name": "My new wallet name"
}
headers = {
"X-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_ids: ['1', '43114'],
address: '0x94C87A7b26980AE7AAA361c5C7e03E632ab36e6C',
display_name: 'My new wallet name'
})
};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"account": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": null,
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-21T13:52:17.049988181Z"
},
{
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract": {
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "14796267673655965",
"network_id": "43114",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2023-03-16T22:57:31Z",
"in_project": false
},
"account": {
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "14796267673655965",
"network_id": "43114",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2023-03-16T22:57:31Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": null,
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-21T13:52:17.05090101Z"
}
]{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Wallets
Add wallet to project
This endpoint allows you to add a wallet address to your Tenderly project.
POST
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
wallet
cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/wallet' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--data-raw '{"network_ids":["1","43114"],"address":"0xd8da6bf26964af9d7eed9e03e53415d37aa96045","display_name":"Vitalik"}' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet"
payload = {
"network_ids": ["1", "43114"],
"address": "0x94C87A7b26980AE7AAA361c5C7e03E632ab36e6C",
"display_name": "My new wallet name"
}
headers = {
"X-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_ids: ['1', '43114'],
address: '0x94C87A7b26980AE7AAA361c5C7e03E632ab36e6C',
display_name: 'My new wallet name'
})
};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"account": {
"id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "107221284238907773544",
"network_id": "1",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2021-11-26T15:21:53Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": null,
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-21T13:52:17.049988181Z"
},
{
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract": {
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "14796267673655965",
"network_id": "43114",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2023-03-16T22:57:31Z",
"in_project": false
},
"account": {
"id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_id": "",
"balance": "14796267673655965",
"network_id": "43114",
"public": false,
"verification_date": null,
"address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045",
"contract_name": "",
"ens_domain": null,
"type": "wallet",
"evm_version": "",
"compiler_version": "",
"optimizations_used": false,
"optimization_runs": 0,
"libraries": null,
"compiler_settings": null,
"deployed_bytecode": "",
"creation_bytecode": "",
"data": null,
"creation_block": 0,
"creation_tx": "",
"creator_address": "",
"created_at": "2023-03-16T22:57:31Z",
"in_project": false
},
"project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4",
"added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
"previous_versions": null,
"details_visible": true,
"include_in_transaction_listing": true,
"display_name": "Vitalik",
"account_type": "wallet",
"verification_type": "",
"added_at": "2023-12-21T13:52:17.05090101Z"
}
]{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Body
application/json
Add wallet to project payload
Response
A successful response.
Example:
[ { "id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract": { "id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_id": "", "balance": "107221284238907773544", "network_id": "1", "public": false, "verification_date": null, "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_name": "", "ens_domain": null, "type": "wallet", "evm_version": "", "compiler_version": "", "optimizations_used": false, "optimization_runs": 0, "libraries": null, "compiler_settings": null, "deployed_bytecode": "", "creation_bytecode": "", "data": null, "creation_block": 0, "creation_tx": "", "creator_address": "", "created_at": "2021-11-26T15:21:53Z", "in_project": false }, "account": { "id": "eth:1:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_id": "", "balance": "107221284238907773544", "network_id": "1", "public": false, "verification_date": null, "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_name": "", "ens_domain": null, "type": "wallet", "evm_version": "", "compiler_version": "", "optimizations_used": false, "optimization_runs": 0, "libraries": null, "compiler_settings": null, "deployed_bytecode": "", "creation_bytecode": "", "data": null, "creation_block": 0, "creation_tx": "", "creator_address": "", "created_at": "2021-11-26T15:21:53Z", "in_project": false }, "project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4", "added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2", "previous_versions": null, "details_visible": true, "include_in_transaction_listing": true, "display_name": "Vitalik", "account_type": "wallet", "verification_type": "", "added_at": "2023-12-21T13:52:17.049988181Z" }, { "id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract": { "id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_id": "", "balance": "14796267673655965", "network_id": "43114", "public": false, "verification_date": null, "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_name": "", "ens_domain": null, "type": "wallet", "evm_version": "", "compiler_version": "", "optimizations_used": false, "optimization_runs": 0, "libraries": null, "compiler_settings": null, "deployed_bytecode": "", "creation_bytecode": "", "data": null, "creation_block": 0, "creation_tx": "", "creator_address": "", "created_at": "2023-03-16T22:57:31Z", "in_project": false }, "account": { "id": "eth:43114:0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_id": "", "balance": "14796267673655965", "network_id": "43114", "public": false, "verification_date": null, "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract_name": "", "ens_domain": null, "type": "wallet", "evm_version": "", "compiler_version": "", "optimizations_used": false, "optimization_runs": 0, "libraries": null, "compiler_settings": null, "deployed_bytecode": "", "creation_bytecode": "", "data": null, "creation_block": 0, "creation_tx": "", "creator_address": "", "created_at": "2023-03-16T22:57:31Z", "in_project": false }, "project_id": "dfdc391a-a15d-4590-9aef-8691259c7df4", "added_by_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2", "previous_versions": null, "details_visible": true, "include_in_transaction_listing": true, "display_name": "Vitalik", "account_type": "wallet", "verification_type": "", "added_at": "2023-12-21T13:52:17.05090101Z" } ]
Was this page helpful?
⌘I